Results 1 to 3 of 3

Thread: recordmydesktop issue

Hybrid View

  1. #1

    Default recordmydesktop issue


    I've just trying to use recordmydesktop ( version - latest ) shipped out with the bt5 r3.

    The funny part is once I'm trying to use it an "Segmentation fault" error is displayed:

    "recordmydesktop --windowid=0x1000003 --dummy-cursor=black --no-sound --on-the-fly-encoding --workdir=/home/-o out.ogv
    Initial recording window is set to:
    X:1366 Y:1025 Width:1680 Height:25
    Adjusted recording window is set to:
    X:1366 Y:1016 Width:1680 Height:32
    Your window manager appears to be Metacity

    Output file: out.ogv
    Segmentation fault

    I've thought to install the gtk-recordmydesktop Debian package but when I'm pulling the package under the dpkg command another fun is revealed:

    dpkg -i gtk-recordmydesktop_0.3.8-4.1_all.deb
    Selecting previously deselected package gtk-recordmydesktop.
    (Reading database ... 291283 files and directories currently installed.)
    Unpacking gtk-recordmydesktop (from gtk-recordmydesktop_0.3.8-4.1_all.deb) ...
    dpkg: dependency problems prevent configuration of gtk-recordmydesktop:
    gtk-recordmydesktop depends on python (>= 2.6.6-7~); however:
    Version of python on system is 2.6.5-0ubuntu1.
    dpkg: error processing gtk-recordmydesktop (--install):
    dependency problems - leaving unconfigured
    Processing triggers for man-db ...
    Processing triggers for menu ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for python-gmenu ...
    Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
    Processing triggers for python-support ...
    Errors were encountered while processing:

    Since I can't in a fashion and clean way to upgrade the python version to the latest 2.7.3 is there other possibility to get this recordmydesktop working?


    Everyone has started from ZERO. I'm not an exception but I'm trying to hear more than speak too much.

  2. #2
    Very good friend of the forum maverik35's Avatar
    Join Date
    Sep 2009
    Debian land

    Default Re: recordmydesktop issue

    No, if package dependencies are not fullfilled, no...You need to upgrade python version...

    Try to see if there is a newer python version in repos: aptitude versions python

    If so, then just upgrade the python: aptitude safe-upgrade python

    If not in repos, you need to upgrade the python version.

    In the Debain page where you downloaded (nice desicion), it is stated the python versions required: I quote:
    python >= 2.6.6-7 and << 2.8 so in between versions: python 2.6 and 2.7

    In BT5 you have 2.6.5-0ubuntu1..So again if not in repos, download the package from Debian page which also will state dependencies to that python version.

  3. #3

    Default Re: recordmydesktop issue


    There aren't updates for python2.6.5 under bt5r3. The only way to run two different version of python on the same system is to use virtualenv which I already do.

    With three weeks ago I've tried to upgrade manually the python and the final result was full reinstall so for the moment I won't try again unless I'll do it under a vm environment.
    Everyone has started from ZERO. I'm not an exception but I'm trying to hear more than speak too much.

Similar Threads

  1. Replies: 2
    Last Post: 12-25-2011, 09:56 PM
  2. recordmydesktop help
    By mlook_hacker in forum OLD Newbie Area
    Replies: 5
    Last Post: 03-10-2009, 03:30 PM
  3. recordmydesktop- install help
    By bloodhacker3 in forum OLD Newbie Area
    Replies: 16
    Last Post: 02-02-2009, 02:18 PM
  4. Airodump-ng Issue + Aireplay-ng Issue
    By whiteice in forum OLD Newbie Area
    Replies: 1
    Last Post: 11-05-2008, 05:47 AM
  5. BT3 USB Issue
    By KamikazeMango in forum OLD Newbie Area
    Replies: 2
    Last Post: 12-31-2007, 10:10 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts